> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Create a report

POST https://api.sigmacomputing.com/v2/reports
Content-Type: application/json

This endpoint lets you create an empty report in Sigma, enabling you to build presentation-ready documents for sharing insights with stakeholders.

### Usage notes
- The **name** parameter is required to provide a name for the new report.
- Use the **folderId** to specify the folder in which to save the report. Retrieve the **folderId** by calling the [/v2/files](https://help.sigmacomputing.com/reference/list-files) endpoint and reviewing the `id` field in the response for files with a `type` of `folder`.

### Usage scenarios
- **Reliable export formatting**: Users can quickly generate a new blank report to create predictable, paginated exports.

### Best practices
- **Naming conventions**: Establish and follow consistent naming conventions for reports to make it easier to manage and identify them within larger projects.
- **Folder organization**: Use the **folderId** to organize reports into relevant folders, which helps in maintaining a tidy workspace, especially in environments with multiple users or teams.
- **Access control**: Regularly review and manage access permissions for new reports, ensuring that only the appropriate personnel can view or edit sensitive data.

Reference: https://help.sigmacomputing.com/reference/create-report

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/reports:
    post:
      operationId: createReport
      summary: Create a report
      description: >-
        This endpoint lets you create an empty report in Sigma, enabling you to
        build presentation-ready documents for sharing insights with
        stakeholders.


        ### Usage notes

        - The **name** parameter is required to provide a name for the new
        report.

        - Use the **folderId** to specify the folder in which to save the
        report. Retrieve the **folderId** by calling the
        [/v2/files](https://help.sigmacomputing.com/reference/list-files)
        endpoint and reviewing the `id` field in the response for files with a
        `type` of `folder`.


        ### Usage scenarios

        - **Reliable export formatting**: Users can quickly generate a new blank
        report to create predictable, paginated exports.


        ### Best practices

        - **Naming conventions**: Establish and follow consistent naming
        conventions for reports to make it easier to manage and identify them
        within larger projects.

        - **Folder organization**: Use the **folderId** to organize reports into
        relevant folders, which helps in maintaining a tidy workspace,
        especially in environments with multiple users or teams.

        - **Access control**: Regularly review and manage access permissions for
        new reports, ensuring that only the appropriate personnel can view or
        edit sensitive data.
      tags:
        - Reports
      parameters:
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reports_createReport_Response_200'
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                folderId:
                  type: string
                  description: ID of the folder where the new report is created.
                name:
                  type: string
                  description: Name of the new report.
                description:
                  type: string
                  description: Description of the report.
              required:
                - folderId
                - name
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ReportsPostResponsesContentApplicationJsonSchemaTagsItems:
      type: object
      properties:
        versionTagId:
          type: string
          description: Unique identifier of the tag.
        tagName:
          type: string
        sourceVersion:
          type: number
          format: double
        taggedAt:
          type: string
          format: date-time
        taggedReportId:
          type: string
          description: Unique identifier of the tagged report.
      required:
        - versionTagId
        - tagName
        - sourceVersion
        - taggedAt
        - taggedReportId
      title: V2ReportsPostResponsesContentApplicationJsonSchemaTagsItems
    reports_createReport_Response_200:
      type: object
      properties:
        reportId:
          type: string
          description: Unique identifier of the report.
        reportUrlId:
          type: string
        name:
          type: string
        url:
          type: string
        path:
          type: string
        latestVersion:
          type: number
          format: double
        ownerId:
          type: string
        createdBy:
          type: string
          description: The identifier of the user who created this object.
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this object.
        createdAt:
          type: string
          format: date-time
          description: When the object was created.
        updatedAt:
          type: string
          format: date-time
          description: When the object was last updated.
        isArchived:
          type: boolean
        tags:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ReportsPostResponsesContentApplicationJsonSchemaTagsItems
        description:
          type: string
      required:
        - reportId
        - reportUrlId
        - name
        - url
        - path
        - latestVersion
        - ownerId
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: reports_createReport_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples

### Response Example



**Request**

```json
undefined
```

**Response**

```json
{
  "reportId": "88889999-aaaa-bbbb-cccc-ddddeeeeffff",
  "reportUrlId": "57a96EMo3GVJG73179MV2l",
  "name": "My new blank Report",
  "url": "https://example.com/reports/88889999-aaaa-bbbb-cccc-ddddeeeeffff",
  "path": "folder1",
  "latestVersion": 1,
  "ownerId": "user1",
  "createdBy": "user1",
  "updatedBy": "user1",
  "createdAt": "2022-01-01T00:00:00.000Z",
  "updatedAt": "2022-01-01T00:00:00.000Z",
  "isArchived": false
}
```

**SDK Code**

```python Response Example
import requests

url = "https://api.sigmacomputing.com/v2/reports"

headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Response Example
const url = 'https://api.sigmacomputing.com/v2/reports';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/reports"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response Example
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/reports")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Response Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/reports")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .asString();
```

```php Response Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/reports', [
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Response Example
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/reports");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Response Example
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/reports")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Create a blank report



**Request**

```json
{
  "folderId": "88889999-aaaa-bbbb-cccc-ddddeeeeffff",
  "name": "My new blank Report",
  "description": "This is a description"
}
```

**Response**

```json
{
  "reportId": "88889999-aaaa-bbbb-cccc-ddddeeeeffff",
  "reportUrlId": "57a96EMo3GVJG73179MV2l",
  "name": "My new blank Report",
  "url": "https://example.com/reports/88889999-aaaa-bbbb-cccc-ddddeeeeffff",
  "path": "folder1",
  "latestVersion": 1,
  "ownerId": "user1",
  "createdBy": "user1",
  "updatedBy": "user1",
  "createdAt": "2022-01-01T00:00:00.000Z",
  "updatedAt": "2022-01-01T00:00:00.000Z",
  "isArchived": false
}
```

**SDK Code**

```python Create a blank report
import requests

url = "https://api.sigmacomputing.com/v2/reports"

payload = {
    "folderId": "88889999-aaaa-bbbb-cccc-ddddeeeeffff",
    "name": "My new blank Report",
    "description": "This is a description"
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create a blank report
const url = 'https://api.sigmacomputing.com/v2/reports';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"folderId":"88889999-aaaa-bbbb-cccc-ddddeeeeffff","name":"My new blank Report","description":"This is a description"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create a blank report
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/reports"

	payload := strings.NewReader("{\n  \"folderId\": \"88889999-aaaa-bbbb-cccc-ddddeeeeffff\",\n  \"name\": \"My new blank Report\",\n  \"description\": \"This is a description\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create a blank report
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/reports")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"folderId\": \"88889999-aaaa-bbbb-cccc-ddddeeeeffff\",\n  \"name\": \"My new blank Report\",\n  \"description\": \"This is a description\"\n}"

response = http.request(request)
puts response.read_body
```

```java Create a blank report
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/reports")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"folderId\": \"88889999-aaaa-bbbb-cccc-ddddeeeeffff\",\n  \"name\": \"My new blank Report\",\n  \"description\": \"This is a description\"\n}")
  .asString();
```

```php Create a blank report
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/reports', [
  'body' => '{
  "folderId": "88889999-aaaa-bbbb-cccc-ddddeeeeffff",
  "name": "My new blank Report",
  "description": "This is a description"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Create a blank report
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/reports");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"folderId\": \"88889999-aaaa-bbbb-cccc-ddddeeeeffff\",\n  \"name\": \"My new blank Report\",\n  \"description\": \"This is a description\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create a blank report
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "folderId": "88889999-aaaa-bbbb-cccc-ddddeeeeffff",
  "name": "My new blank Report",
  "description": "This is a description"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/reports")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```